Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Screening
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
    • Additional entity search
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Screening

Periods of Non-Reporting

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/non-reporting
Get a list of all the periods of non-reporting (AIS) for the vessel across the screening period.
Refer to Movement History to see how this endpoint is used in a real-life workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Periods where the vessel stopped reporting AIS during the screening window, with the gap duration and its severity.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/non-reporting?username=undefined&limit=undefined&offset=undefined&transaction=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default (incl pagination)
{
    "meta": {
        "limit": 10,
        "next": "/api/v1/non-reporting?transaction=2854829&api_key=&username=&limit=10&offset=10",
        "offset": 0,
        "previous": null,
        "total_count": 34
    },
    "objects": [
        {
            "draught_change": false,
            "duration_seconds": 98245,
            "end_course": 109,
            "end_datetime": "2023-12-06T02:33:17",
            "end_draught": 13.1,
            "end_latitude": 34.5688629150391,
            "end_longitude": 23.150032043457,
            "end_zones": [],
            "id": 18938659,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 104,
            "start_datetime": "2023-12-04T23:15:52",
            "start_draught": 13.1,
            "start_latitude": 36.2875061035156,
            "start_longitude": 16.4916229248047,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 222436,
            "end_course": 110,
            "end_datetime": "2023-12-04T05:31:07",
            "end_draught": 13.1,
            "end_latitude": 37.3464851379394,
            "end_longitude": 12.007209777832,
            "end_zones": [],
            "id": 18938658,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 74,
            "start_datetime": "2023-12-01T15:43:51",
            "start_draught": 13.1,
            "start_latitude": 36.3815155029297,
            "start_longitude": -2.10136675834656,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 157650,
            "end_course": 99,
            "end_datetime": "2023-11-14T14:42:15",
            "end_draught": 13.1,
            "end_latitude": 23.4529724121094,
            "end_longitude": -81.7180709838867,
            "end_zones": [],
            "id": 18938657,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 150,
            "start_datetime": "2023-11-12T18:54:45",
            "start_draught": 13.1,
            "start_latitude": 28.0621585845947,
            "start_longitude": -88.9700622558594,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 94052,
            "end_course": 308,
            "end_datetime": "2023-10-20T23:20:59",
            "end_draught": 11.5,
            "end_latitude": 27.0344944000244,
            "end_longitude": -91.5130386352539,
            "end_zones": [],
            "id": 18938656,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 294,
            "start_datetime": "2023-10-19T21:13:27",
            "start_draught": 11.5,
            "start_latitude": 24.990364074707,
            "start_longitude": -86.9201583862305,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 196479,
            "end_course": 294,
            "end_datetime": "2023-10-19T21:13:27",
            "end_draught": 11.5,
            "end_latitude": 24.990364074707,
            "end_longitude": -86.9201583862305,
            "end_zones": [],
            "id": 18938655,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 292,
            "start_datetime": "2023-10-17T14:38:48",
            "start_draught": 11.5,
            "start_latitude": 21.9273891448975,
            "start_longitude": -76.8662719726562,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 90004,
            "end_course": 263,
            "end_datetime": "2023-09-29T07:05:24",
            "end_draught": 11.2,
            "end_latitude": 37.4726905822754,
            "end_longitude": 6.27967500686646,
            "end_zones": [],
            "id": 18938654,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 295,
            "start_datetime": "2023-09-28T06:05:20",
            "start_draught": 11.2,
            "start_latitude": 37.2654266357422,
            "start_longitude": 11.6759948730469,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 133744,
            "end_course": 124,
            "end_datetime": "2023-09-13T20:03:34",
            "end_draught": 9,
            "end_latitude": 39.1247673034668,
            "end_longitude": 19.1916313171387,
            "end_zones": [],
            "id": 18938653,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 132,
            "start_datetime": "2023-09-12T06:54:30",
            "start_draught": 9,
            "start_latitude": 39.216739654541,
            "start_longitude": 19.1600494384766,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 506948,
            "end_course": 309,
            "end_datetime": "2023-08-28T21:22:29",
            "end_draught": 11,
            "end_latitude": 27.7528476715088,
            "end_longitude": 33.8358497619629,
            "end_zones": [],
            "id": 18938652,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 267,
            "start_datetime": "2023-08-23T00:33:21",
            "start_draught": 11,
            "start_latitude": 13.8290519714355,
            "start_longitude": 52.4165306091309,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 87419,
            "end_course": 280,
            "end_datetime": "2023-08-17T23:07:00",
            "end_draught": 11.1,
            "end_latitude": 6.97986841201782,
            "end_longitude": 74.5097808837891,
            "end_zones": [],
            "id": 18938651,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 281,
            "start_datetime": "2023-08-16T22:50:01",
            "start_draught": 11.1,
            "start_latitude": 6.04552984237671,
            "start_longitude": 79.1023483276367,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        },
        {
            "draught_change": false,
            "duration_seconds": 233839,
            "end_course": 267,
            "end_datetime": "2023-08-15T20:57:01",
            "end_draught": 11.1,
            "end_latitude": 5.88991022109985,
            "end_longitude": 83.8560104370117,
            "end_zones": [],
            "id": 18938650,
            "overall_draught_change": false,
            "overall_severity": "OK",
            "severity": "OK",
            "start_course": 283,
            "start_datetime": "2023-08-13T03:59:42",
            "start_draught": 11.1,
            "start_latitude": 6.1408200263977,
            "start_longitude": 95.2728424072266,
            "start_zones": [],
            "sts_risk_overall_severity": "OK",
            "sts_risk_severity": null,
            "transaction": "/api/v1/transaction/2854829",
            "transaction_id": 2854829
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
AIS positional discrepancy (spoofing) events
Next
Carbon rating details
Built with